Subject: bug#37931: util-linux dependency on udev

From: Ludovic Courtès <[email-masked]>
Date: Wed, 06 Nov 2019 16:40:18 +0100

Hi,

Marius Bakke <[email-masked]> skribis:

> I had a look at the lsblkd source code, and found that it has an
> optional dependency on udev:
>
> https://github.com/karelzak/util-linux/blob/ccafadb7c58865f73d209fcfc74483be96cdf64d/misc-utils/lsblk-properties.c
>
> I tried building util-linux with udev support, and got the same output
> you expected without needing root privileges:
>
> (define-public util-linux/udev
>   (package/inherit
>    util-linux
>    (name "util-linux-with-udev")
>    (inputs
>     `(("udev" ,eudev)
>       ,@(package-inputs util-linux)))))
>
> Now, eudev already depends on util-linux, so adding udev support to the
> regular 'util-linux' package would introduce a circular dependency.
>
> I'm not sure what the best approach here is.  We could add a
> 'util-linux-minimal' for use in package inputs, and/or add a
> udev-enabled variant to %base-packages.

I think the latter is fine and can be done right away on ‘master’.

WDYT?

Ludo’.